<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: include/gui/SceneNode.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d44c64559bbebec7f509842c48db8b23.html">include</a></li><li class="navelem"><a class="el" href="dir_48c1f94cd2ae07e13fa9a9f16a1d541c.html">gui</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">SceneNode.hpp</div></div>
</div><!--header-->
<div class="contents">
<a href="SceneNode_8hpp.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="preprocessor">#pragma once</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span> </div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="preprocessor">#include &lt;SFML/Graphics/Drawable.hpp&gt;</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="preprocessor">#include &lt;SFML/Graphics/RectangleShape.hpp&gt;</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="preprocessor">#include &lt;SFML/Graphics/RenderTarget.hpp&gt;</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="preprocessor">#include &lt;SFML/Graphics/Text.hpp&gt;</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span> </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="preprocessor">#include &lt;<a class="code" href="Event_8hpp.html">core/Event.hpp</a>&gt;</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span> </div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="keyword">namespace </span><a class="code hl_namespace" href="namespacegg.html">gg</a></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>{</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="keyword">class </span>Scene;</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span><span class="keyword">class </span>Attributes;</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span><span class="keyword">class </span>XMLDocument;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span> </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="classgg_1_1SceneNode.html">   17</a></span><span class="keyword">class </span><a class="code hl_class" href="classgg_1_1SceneNode.html">SceneNode</a> : <span class="keyword">public</span> sf::Drawable</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>{</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>  <span class="keyword">public</span>:</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="classgg_1_1SceneNode.html#a85a355c9072099675bf4a8ca00dc0635">   20</a></span>    <a class="code hl_function" href="classgg_1_1SceneNode.html#a85a355c9072099675bf4a8ca00dc0635">SceneNode</a>(<span class="keyword">const</span> <a class="code hl_class" href="classgg_1_1Attributes.html">Attributes</a> &amp;attributes, <span class="keyword">const</span> <span class="keywordtype">bool</span> root = <span class="keyword">false</span>);</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="classgg_1_1SceneNode.html#a2b386a4b1246cd13a553159420782f39">   21</a></span>    <a class="code hl_function" href="classgg_1_1SceneNode.html#a2b386a4b1246cd13a553159420782f39">~SceneNode</a>() <span class="keyword">override</span>;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span> </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno"><a class="line" href="classgg_1_1SceneNode.html#a46fbfc7cb2cd115ecc33a0001b5caa79">   23</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1SceneNode.html#a46fbfc7cb2cd115ecc33a0001b5caa79">SetName</a>(<span class="keyword">const</span> std::string &amp;);</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno"><a class="line" href="classgg_1_1SceneNode.html#a92215060ea01f924ac43bdc2e02d8495">   24</a></span>    <span class="keyword">auto</span> <a class="code hl_function" href="classgg_1_1SceneNode.html#a92215060ea01f924ac43bdc2e02d8495">GetName</a>() const -&gt; const <a class="code hl_namespace" href="namespacestd.html">std</a>::<span class="keywordtype">string</span> &amp;;</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span> </div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno"><a class="line" href="classgg_1_1SceneNode.html#a3bfaf6ab0f3690bf75e1142fc6b574a9">   26</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1SceneNode.html#a3bfaf6ab0f3690bf75e1142fc6b574a9">SetRoot</a>(<span class="keywordtype">bool</span>);</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno"><a class="line" href="classgg_1_1SceneNode.html#a082408f997345f8d99a05a561425a0de">   27</a></span>    auto <a class="code hl_function" href="classgg_1_1SceneNode.html#a082408f997345f8d99a05a561425a0de">IsRoot</a>() const -&gt; const <span class="keywordtype">bool</span>;</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span> </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno"><a class="line" href="classgg_1_1SceneNode.html#ade1c015b4ad1d134a6ac9b74ea67ac26">   29</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1SceneNode.html#ade1c015b4ad1d134a6ac9b74ea67ac26">SetParent</a>(<a class="code hl_class" href="classgg_1_1SceneNode.html">SceneNode</a> *);</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno"><a class="line" href="classgg_1_1SceneNode.html#a0776302fef90cb2f0aabd1f3045c5dd7">   30</a></span>    auto <a class="code hl_function" href="classgg_1_1SceneNode.html#a0776302fef90cb2f0aabd1f3045c5dd7">GetParent</a>() -&gt; <a class="code hl_class" href="classgg_1_1SceneNode.html">SceneNode</a> *;</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span> </div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno"><a class="line" href="classgg_1_1SceneNode.html#abb3579a1294b90d74ae0e9a0f5cc8de1">   32</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1SceneNode.html#abb3579a1294b90d74ae0e9a0f5cc8de1">SetScene</a>(<a class="code hl_class" href="classgg_1_1Scene.html">Scene</a> *);</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno"><a class="line" href="classgg_1_1SceneNode.html#a2a8a9bb996c1610f0cf41274bb5e8864">   33</a></span>    auto <a class="code hl_function" href="classgg_1_1SceneNode.html#a2a8a9bb996c1610f0cf41274bb5e8864">GetScene</a>() -&gt; <a class="code hl_class" href="classgg_1_1Scene.html">Scene</a> *;</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span> </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno"><a class="line" href="classgg_1_1SceneNode.html#a57cce9f483099d73b21dbfc6c58eafc2">   35</a></span>    virtual <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1SceneNode.html#a57cce9f483099d73b21dbfc6c58eafc2">SetToggleGroup</a>();</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span> </div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno"><a class="line" href="classgg_1_1SceneNode.html#a3fddc76f0a1f636a1d4e651c5ac7e647">   37</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1SceneNode.html#a3fddc76f0a1f636a1d4e651c5ac7e647">SetID</a>(const <a class="code hl_namespace" href="namespacestd.html">std</a>::<span class="keywordtype">string</span> &amp;);</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno"><a class="line" href="classgg_1_1SceneNode.html#adbeb256248e14d3cca859cc769397752">   38</a></span>    auto <a class="code hl_function" href="classgg_1_1SceneNode.html#adbeb256248e14d3cca859cc769397752">GetID</a>() const -&gt; const <a class="code hl_namespace" href="namespacestd.html">std</a>::<span class="keywordtype">string</span> &amp;;</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span> </div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno"><a class="line" href="classgg_1_1SceneNode.html#ab7d26c1d9eca413929a7b46d1975ecca">   40</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1SceneNode.html#ab7d26c1d9eca413929a7b46d1975ecca">SetInsidePosition</a>(const sf::Vector2f &amp;);</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno"><a class="line" href="classgg_1_1SceneNode.html#ad20a4313079c8fc88db803db9742bb52">   41</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1SceneNode.html#ad20a4313079c8fc88db803db9742bb52">SetOutsidePosition</a>(const sf::Vector2f &amp;);</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span> </div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno"><a class="line" href="classgg_1_1SceneNode.html#a88a3c48db58215800a8d966716b1e66d">   43</a></span>    auto <a class="code hl_function" href="classgg_1_1SceneNode.html#a88a3c48db58215800a8d966716b1e66d">GetInsidePosition</a>() const -&gt; const sf::Vector2f &amp;;</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno"><a class="line" href="classgg_1_1SceneNode.html#a58c816db57bb5c6a1e9e42887d07c98c">   44</a></span>    auto <a class="code hl_function" href="classgg_1_1SceneNode.html#a58c816db57bb5c6a1e9e42887d07c98c">GetOutsidePosition</a>() const -&gt; const sf::Vector2f &amp;;</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span> </div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno"><a class="line" href="classgg_1_1SceneNode.html#a6060165707afd72f5313548cb92ae81e">   46</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1SceneNode.html#a6060165707afd72f5313548cb92ae81e">SetInsideSize</a>(const sf::Vector2f &amp;);</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno"><a class="line" href="classgg_1_1SceneNode.html#a3f597bd0d3cdae19a4abe961cfb92a91">   47</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1SceneNode.html#a3f597bd0d3cdae19a4abe961cfb92a91">SetOutsideSize</a>(const sf::Vector2f &amp;);</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span> </div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno"><a class="line" href="classgg_1_1SceneNode.html#a29308c092ca2dac7260d5b3ad3f58569">   49</a></span>    auto <a class="code hl_function" href="classgg_1_1SceneNode.html#a29308c092ca2dac7260d5b3ad3f58569">GetInsideSize</a>() const -&gt; const sf::Vector2f &amp;;</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno"><a class="line" href="classgg_1_1SceneNode.html#a368dbe4cad813f71cd710174c69cb339">   50</a></span>    auto <a class="code hl_function" href="classgg_1_1SceneNode.html#a368dbe4cad813f71cd710174c69cb339">GetOutsideSize</a>() const -&gt; const sf::Vector2f &amp;;</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span> </div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno"><a class="line" href="classgg_1_1SceneNode.html#a815218ded6a13ff207bfa773027cd07a">   52</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1SceneNode.html#a815218ded6a13ff207bfa773027cd07a">AppendChild</a>(<a class="code hl_class" href="classgg_1_1SceneNode.html">SceneNode</a> *);</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno"><a class="line" href="classgg_1_1SceneNode.html#a537d14acb0810c7615d8b24541044b29">   53</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1SceneNode.html#a537d14acb0810c7615d8b24541044b29">RemoveChild</a>(<a class="code hl_class" href="classgg_1_1SceneNode.html">SceneNode</a> *);</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno"><a class="line" href="classgg_1_1SceneNode.html#a4de32c7bf5edd96622c9170bdfe68902">   54</a></span>    auto <a class="code hl_function" href="classgg_1_1SceneNode.html#a4de32c7bf5edd96622c9170bdfe68902">GetChildren</a>() -&gt; <a class="code hl_namespace" href="namespacestd.html">std</a>::vector&lt;<a class="code hl_class" href="classgg_1_1SceneNode.html">SceneNode</a> *&gt;;</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span> </div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno"><a class="line" href="classgg_1_1SceneNode.html#ae8b7c84938aad84a8d2c2d63918be70a">   56</a></span>    virtual <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1SceneNode.html#ae8b7c84938aad84a8d2c2d63918be70a">Update</a>();</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno"><a class="line" href="classgg_1_1SceneNode.html#afe943f9c7fe571d70a1c82a007475e89">   57</a></span>    virtual <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1SceneNode.html#afe943f9c7fe571d70a1c82a007475e89">Render</a>(sf::RenderTarget &amp;, sf::RenderStates) const;</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span> </div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno"><a class="line" href="classgg_1_1SceneNode.html#a2db4f25adaf0c8dd50310ac9bfc0bac5">   59</a></span>    auto <a class="code hl_function" href="classgg_1_1SceneNode.html#a2db4f25adaf0c8dd50310ac9bfc0bac5">IsDirty</a>() const -&gt; <span class="keywordtype">bool</span>;</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno"><a class="line" href="classgg_1_1SceneNode.html#a035abba4248c4efc94da258fd6d54686">   60</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1SceneNode.html#a035abba4248c4efc94da258fd6d54686">SetDirty</a>();</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno"><a class="line" href="classgg_1_1SceneNode.html#a380916fcbdc0afb4ae68a66227faec01">   61</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1SceneNode.html#a380916fcbdc0afb4ae68a66227faec01">ResetDirty</a>();</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span> </div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno"><a class="line" href="classgg_1_1SceneNode.html#a0d7aa6562bcf0dbe1fe83d571c61f8fc">   63</a></span>    auto <a class="code hl_function" href="classgg_1_1SceneNode.html#a0d7aa6562bcf0dbe1fe83d571c61f8fc">ContainsPoint</a>(const sf::Vector2f &amp;) -&gt; <span class="keywordtype">bool</span>;</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span> </div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno"><a class="line" href="classgg_1_1SceneNode.html#a2fa192254c5c1050ad982dc36e9c170f">   65</a></span>    virtual <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1SceneNode.html#a2fa192254c5c1050ad982dc36e9c170f">UpdateSize</a>();</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno"><a class="line" href="classgg_1_1SceneNode.html#a83278efad563d0e384b3d18a88f1eee7">   66</a></span>    virtual <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1SceneNode.html#a83278efad563d0e384b3d18a88f1eee7">UpdateAlignment</a>();</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span> </div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>  protected:</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno"><a class="line" href="classgg_1_1SceneNode.html#a4fc688d4d843ccad6534ca8c401f3e2e">   69</a></span>    virtual <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1SceneNode.html#a4fc688d4d843ccad6534ca8c401f3e2e">UpdateDesign</a>();</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno"><a class="line" href="classgg_1_1SceneNode.html#a694c7abbe5a5d06bed9f7c4e5f5d2986">   70</a></span>    virtual <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1SceneNode.html#a694c7abbe5a5d06bed9f7c4e5f5d2986">UpdateStyle</a>();</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno"><a class="line" href="classgg_1_1SceneNode.html#a61b417a1ca6289c8b2114c9f5035b3a9">   71</a></span>    virtual <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1SceneNode.html#a61b417a1ca6289c8b2114c9f5035b3a9">ApplyDesign</a>();</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno"><a class="line" href="classgg_1_1SceneNode.html#a59ce959ea6f6445359a9e4c72da163ef">   72</a></span>    virtual <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1SceneNode.html#a59ce959ea6f6445359a9e4c72da163ef">ApplyStyle</a>();</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span> </div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>  private:</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>    <span class="keywordtype">void</span> draw(sf::RenderTarget &amp;, sf::RenderStates) const override;</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span> </div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>  protected:</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno"><a class="line" href="classgg_1_1SceneNode.html#a668a995dbb9bd8a6be5d433099ab6af1">   78</a></span>    <a class="code hl_namespace" href="namespacestd.html">std</a>::<span class="keywordtype">string</span> <a class="code hl_variable" href="classgg_1_1SceneNode.html#a668a995dbb9bd8a6be5d433099ab6af1">mName</a> = &quot;&quot;;</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno"><a class="line" href="classgg_1_1SceneNode.html#ad5e5e7e8ac4efd83145012867ce1544a">   79</a></span>    <a class="code hl_namespace" href="namespacestd.html">std</a>::<span class="keywordtype">string</span> <a class="code hl_variable" href="classgg_1_1SceneNode.html#ad5e5e7e8ac4efd83145012867ce1544a">mId</a> = &quot;&quot;;</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno"><a class="line" href="classgg_1_1SceneNode.html#a4b8f27aaf7cb98202b7987ee8cdc5cd7">   80</a></span>    <span class="keywordtype">bool</span> <a class="code hl_variable" href="classgg_1_1SceneNode.html#a4b8f27aaf7cb98202b7987ee8cdc5cd7">mRoot</a>;</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span> </div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno"><a class="line" href="classgg_1_1SceneNode.html#af8d52d7d0aae7eccfe1243a6edaee8a7">   82</a></span>    sf::Text <a class="code hl_variable" href="classgg_1_1SceneNode.html#af8d52d7d0aae7eccfe1243a6edaee8a7">mText</a>;</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno"><a class="line" href="classgg_1_1SceneNode.html#a5fd91acc7dfee4a78fa6735fbbbdb069">   83</a></span>    sf::RectangleShape <a class="code hl_variable" href="classgg_1_1SceneNode.html#a5fd91acc7dfee4a78fa6735fbbbdb069">mBackground</a>;</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno"><a class="line" href="classgg_1_1SceneNode.html#a77dbd39b4f780c37222bd987f416d6bd">   84</a></span>    sf::RectangleShape <a class="code hl_variable" href="classgg_1_1SceneNode.html#a77dbd39b4f780c37222bd987f416d6bd">mInsideArea</a>;</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno"><a class="line" href="classgg_1_1SceneNode.html#aff8682d270c2b28289bda70793f9b41f">   85</a></span>    sf::RectangleShape <a class="code hl_variable" href="classgg_1_1SceneNode.html#aff8682d270c2b28289bda70793f9b41f">mOutsideArea</a>;</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span> </div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno"><a class="line" href="classgg_1_1SceneNode.html#ac8186eaf3fb16c6945f4e858f1037f0e">   87</a></span>    sf::Vector2f <a class="code hl_variable" href="classgg_1_1SceneNode.html#ac8186eaf3fb16c6945f4e858f1037f0e">mInsidePosition</a>;</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno"><a class="line" href="classgg_1_1SceneNode.html#a6c0129d2515fcd9ada82b4069c3956c4">   88</a></span>    sf::Vector2f <a class="code hl_variable" href="classgg_1_1SceneNode.html#a6c0129d2515fcd9ada82b4069c3956c4">mOutsidePosition</a>;</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno"><a class="line" href="classgg_1_1SceneNode.html#a3105d8db96089c8444bc1fa394644398">   89</a></span>    sf::Vector2f <a class="code hl_variable" href="classgg_1_1SceneNode.html#a3105d8db96089c8444bc1fa394644398">mInsideSize</a>;</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno"><a class="line" href="classgg_1_1SceneNode.html#a352be9f386f6fe02548f0e0ade519b45">   90</a></span>    sf::Vector2f <a class="code hl_variable" href="classgg_1_1SceneNode.html#a352be9f386f6fe02548f0e0ade519b45">mOutsideSize</a>;</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span> </div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno"><a class="line" href="classgg_1_1SceneNode.html#a4592b1592949eea0ec9c9cf4a6afbe70">   92</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="classgg_1_1SceneNode.html#a4592b1592949eea0ec9c9cf4a6afbe70">mPadding</a> = 3.0f;</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span> </div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno"><a class="line" href="classgg_1_1SceneNode.html#a93387c53dd7f5bea4896718fe8f1d853">   94</a></span>    <a class="code hl_class" href="classgg_1_1XMLDocument.html">XMLDocument</a> *<a class="code hl_variable" href="classgg_1_1SceneNode.html#a93387c53dd7f5bea4896718fe8f1d853">mStyle</a>;</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span> </div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno"><a class="line" href="classgg_1_1SceneNode.html#aaef957115bc1c6ef4aea8b1782efe618">   96</a></span>    <a class="code hl_class" href="classgg_1_1SceneNode.html">SceneNode</a> *<a class="code hl_variable" href="classgg_1_1SceneNode.html#aaef957115bc1c6ef4aea8b1782efe618">mParent</a>;</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno"><a class="line" href="classgg_1_1SceneNode.html#ab4e558e69099c74916257273cf7b9959">   97</a></span>    <a class="code hl_namespace" href="namespacestd.html">std</a>::vector&lt;<a class="code hl_class" href="classgg_1_1SceneNode.html">SceneNode</a> *&gt; <a class="code hl_variable" href="classgg_1_1SceneNode.html#ab4e558e69099c74916257273cf7b9959">mChildren</a>;</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span> </div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno"><a class="line" href="classgg_1_1SceneNode.html#a0e2482547e62201c6538d96a3d2ea023">   99</a></span>    <a class="code hl_class" href="classgg_1_1Scene.html">Scene</a> *<a class="code hl_variable" href="classgg_1_1SceneNode.html#a0e2482547e62201c6538d96a3d2ea023">mScene</a>;</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno"><a class="line" href="classgg_1_1SceneNode.html#a02ad61ca009af2383068317d8999e5f0">  100</a></span>    <a class="code hl_namespace" href="namespacestd.html">std</a>::<span class="keywordtype">string</span> <a class="code hl_variable" href="classgg_1_1SceneNode.html#a02ad61ca009af2383068317d8999e5f0">mToggleGroup</a> = &quot;&quot;;</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span> </div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>  private:</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>    <span class="keywordtype">bool</span> mDirty;</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>};</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span> </div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>}; <span class="comment">// namespace gg</span></div>
<div class="ttc" id="aEvent_8hpp_html"><div class="ttname"><a href="Event_8hpp.html">Event.hpp</a></div></div>
<div class="ttc" id="aclassgg_1_1Attributes_html"><div class="ttname"><a href="classgg_1_1Attributes.html">gg::Attributes</a></div><div class="ttdef"><b>Definition:</b> Attributes.hpp:14</div></div>
<div class="ttc" id="aclassgg_1_1SceneNode_html"><div class="ttname"><a href="classgg_1_1SceneNode.html">gg::SceneNode</a></div><div class="ttdef"><b>Definition:</b> SceneNode.hpp:18</div></div>
<div class="ttc" id="aclassgg_1_1SceneNode_html_a02ad61ca009af2383068317d8999e5f0"><div class="ttname"><a href="classgg_1_1SceneNode.html#a02ad61ca009af2383068317d8999e5f0">gg::SceneNode::mToggleGroup</a></div><div class="ttdeci">std::string mToggleGroup</div><div class="ttdef"><b>Definition:</b> SceneNode.hpp:100</div></div>
<div class="ttc" id="aclassgg_1_1SceneNode_html_a035abba4248c4efc94da258fd6d54686"><div class="ttname"><a href="classgg_1_1SceneNode.html#a035abba4248c4efc94da258fd6d54686">gg::SceneNode::SetDirty</a></div><div class="ttdeci">void SetDirty()</div></div>
<div class="ttc" id="aclassgg_1_1SceneNode_html_a0776302fef90cb2f0aabd1f3045c5dd7"><div class="ttname"><a href="classgg_1_1SceneNode.html#a0776302fef90cb2f0aabd1f3045c5dd7">gg::SceneNode::GetParent</a></div><div class="ttdeci">auto GetParent() -&gt; SceneNode *</div></div>
<div class="ttc" id="aclassgg_1_1SceneNode_html_a082408f997345f8d99a05a561425a0de"><div class="ttname"><a href="classgg_1_1SceneNode.html#a082408f997345f8d99a05a561425a0de">gg::SceneNode::IsRoot</a></div><div class="ttdeci">auto IsRoot() const -&gt; const bool</div></div>
<div class="ttc" id="aclassgg_1_1SceneNode_html_a0d7aa6562bcf0dbe1fe83d571c61f8fc"><div class="ttname"><a href="classgg_1_1SceneNode.html#a0d7aa6562bcf0dbe1fe83d571c61f8fc">gg::SceneNode::ContainsPoint</a></div><div class="ttdeci">auto ContainsPoint(const sf::Vector2f &amp;) -&gt; bool</div></div>
<div class="ttc" id="aclassgg_1_1SceneNode_html_a0e2482547e62201c6538d96a3d2ea023"><div class="ttname"><a href="classgg_1_1SceneNode.html#a0e2482547e62201c6538d96a3d2ea023">gg::SceneNode::mScene</a></div><div class="ttdeci">Scene * mScene</div><div class="ttdef"><b>Definition:</b> SceneNode.hpp:99</div></div>
<div class="ttc" id="aclassgg_1_1SceneNode_html_a29308c092ca2dac7260d5b3ad3f58569"><div class="ttname"><a href="classgg_1_1SceneNode.html#a29308c092ca2dac7260d5b3ad3f58569">gg::SceneNode::GetInsideSize</a></div><div class="ttdeci">auto GetInsideSize() const -&gt; const sf::Vector2f &amp;</div></div>
<div class="ttc" id="aclassgg_1_1SceneNode_html_a2a8a9bb996c1610f0cf41274bb5e8864"><div class="ttname"><a href="classgg_1_1SceneNode.html#a2a8a9bb996c1610f0cf41274bb5e8864">gg::SceneNode::GetScene</a></div><div class="ttdeci">auto GetScene() -&gt; Scene *</div></div>
<div class="ttc" id="aclassgg_1_1SceneNode_html_a2b386a4b1246cd13a553159420782f39"><div class="ttname"><a href="classgg_1_1SceneNode.html#a2b386a4b1246cd13a553159420782f39">gg::SceneNode::~SceneNode</a></div><div class="ttdeci">~SceneNode() override</div></div>
<div class="ttc" id="aclassgg_1_1SceneNode_html_a2db4f25adaf0c8dd50310ac9bfc0bac5"><div class="ttname"><a href="classgg_1_1SceneNode.html#a2db4f25adaf0c8dd50310ac9bfc0bac5">gg::SceneNode::IsDirty</a></div><div class="ttdeci">auto IsDirty() const -&gt; bool</div></div>
<div class="ttc" id="aclassgg_1_1SceneNode_html_a2fa192254c5c1050ad982dc36e9c170f"><div class="ttname"><a href="classgg_1_1SceneNode.html#a2fa192254c5c1050ad982dc36e9c170f">gg::SceneNode::UpdateSize</a></div><div class="ttdeci">virtual void UpdateSize()</div></div>
<div class="ttc" id="aclassgg_1_1SceneNode_html_a3105d8db96089c8444bc1fa394644398"><div class="ttname"><a href="classgg_1_1SceneNode.html#a3105d8db96089c8444bc1fa394644398">gg::SceneNode::mInsideSize</a></div><div class="ttdeci">sf::Vector2f mInsideSize</div><div class="ttdef"><b>Definition:</b> SceneNode.hpp:89</div></div>
<div class="ttc" id="aclassgg_1_1SceneNode_html_a352be9f386f6fe02548f0e0ade519b45"><div class="ttname"><a href="classgg_1_1SceneNode.html#a352be9f386f6fe02548f0e0ade519b45">gg::SceneNode::mOutsideSize</a></div><div class="ttdeci">sf::Vector2f mOutsideSize</div><div class="ttdef"><b>Definition:</b> SceneNode.hpp:90</div></div>
<div class="ttc" id="aclassgg_1_1SceneNode_html_a368dbe4cad813f71cd710174c69cb339"><div class="ttname"><a href="classgg_1_1SceneNode.html#a368dbe4cad813f71cd710174c69cb339">gg::SceneNode::GetOutsideSize</a></div><div class="ttdeci">auto GetOutsideSize() const -&gt; const sf::Vector2f &amp;</div></div>
<div class="ttc" id="aclassgg_1_1SceneNode_html_a380916fcbdc0afb4ae68a66227faec01"><div class="ttname"><a href="classgg_1_1SceneNode.html#a380916fcbdc0afb4ae68a66227faec01">gg::SceneNode::ResetDirty</a></div><div class="ttdeci">void ResetDirty()</div></div>
<div class="ttc" id="aclassgg_1_1SceneNode_html_a3bfaf6ab0f3690bf75e1142fc6b574a9"><div class="ttname"><a href="classgg_1_1SceneNode.html#a3bfaf6ab0f3690bf75e1142fc6b574a9">gg::SceneNode::SetRoot</a></div><div class="ttdeci">void SetRoot(bool)</div></div>
<div class="ttc" id="aclassgg_1_1SceneNode_html_a3f597bd0d3cdae19a4abe961cfb92a91"><div class="ttname"><a href="classgg_1_1SceneNode.html#a3f597bd0d3cdae19a4abe961cfb92a91">gg::SceneNode::SetOutsideSize</a></div><div class="ttdeci">void SetOutsideSize(const sf::Vector2f &amp;)</div></div>
<div class="ttc" id="aclassgg_1_1SceneNode_html_a3fddc76f0a1f636a1d4e651c5ac7e647"><div class="ttname"><a href="classgg_1_1SceneNode.html#a3fddc76f0a1f636a1d4e651c5ac7e647">gg::SceneNode::SetID</a></div><div class="ttdeci">void SetID(const std::string &amp;)</div></div>
<div class="ttc" id="aclassgg_1_1SceneNode_html_a4592b1592949eea0ec9c9cf4a6afbe70"><div class="ttname"><a href="classgg_1_1SceneNode.html#a4592b1592949eea0ec9c9cf4a6afbe70">gg::SceneNode::mPadding</a></div><div class="ttdeci">float mPadding</div><div class="ttdef"><b>Definition:</b> SceneNode.hpp:92</div></div>
<div class="ttc" id="aclassgg_1_1SceneNode_html_a46fbfc7cb2cd115ecc33a0001b5caa79"><div class="ttname"><a href="classgg_1_1SceneNode.html#a46fbfc7cb2cd115ecc33a0001b5caa79">gg::SceneNode::SetName</a></div><div class="ttdeci">void SetName(const std::string &amp;)</div></div>
<div class="ttc" id="aclassgg_1_1SceneNode_html_a4b8f27aaf7cb98202b7987ee8cdc5cd7"><div class="ttname"><a href="classgg_1_1SceneNode.html#a4b8f27aaf7cb98202b7987ee8cdc5cd7">gg::SceneNode::mRoot</a></div><div class="ttdeci">bool mRoot</div><div class="ttdef"><b>Definition:</b> SceneNode.hpp:80</div></div>
<div class="ttc" id="aclassgg_1_1SceneNode_html_a4de32c7bf5edd96622c9170bdfe68902"><div class="ttname"><a href="classgg_1_1SceneNode.html#a4de32c7bf5edd96622c9170bdfe68902">gg::SceneNode::GetChildren</a></div><div class="ttdeci">auto GetChildren() -&gt; std::vector&lt; SceneNode * &gt;</div></div>
<div class="ttc" id="aclassgg_1_1SceneNode_html_a4fc688d4d843ccad6534ca8c401f3e2e"><div class="ttname"><a href="classgg_1_1SceneNode.html#a4fc688d4d843ccad6534ca8c401f3e2e">gg::SceneNode::UpdateDesign</a></div><div class="ttdeci">virtual void UpdateDesign()</div></div>
<div class="ttc" id="aclassgg_1_1SceneNode_html_a537d14acb0810c7615d8b24541044b29"><div class="ttname"><a href="classgg_1_1SceneNode.html#a537d14acb0810c7615d8b24541044b29">gg::SceneNode::RemoveChild</a></div><div class="ttdeci">void RemoveChild(SceneNode *)</div></div>
<div class="ttc" id="aclassgg_1_1SceneNode_html_a57cce9f483099d73b21dbfc6c58eafc2"><div class="ttname"><a href="classgg_1_1SceneNode.html#a57cce9f483099d73b21dbfc6c58eafc2">gg::SceneNode::SetToggleGroup</a></div><div class="ttdeci">virtual void SetToggleGroup()</div></div>
<div class="ttc" id="aclassgg_1_1SceneNode_html_a58c816db57bb5c6a1e9e42887d07c98c"><div class="ttname"><a href="classgg_1_1SceneNode.html#a58c816db57bb5c6a1e9e42887d07c98c">gg::SceneNode::GetOutsidePosition</a></div><div class="ttdeci">auto GetOutsidePosition() const -&gt; const sf::Vector2f &amp;</div></div>
<div class="ttc" id="aclassgg_1_1SceneNode_html_a59ce959ea6f6445359a9e4c72da163ef"><div class="ttname"><a href="classgg_1_1SceneNode.html#a59ce959ea6f6445359a9e4c72da163ef">gg::SceneNode::ApplyStyle</a></div><div class="ttdeci">virtual void ApplyStyle()</div></div>
<div class="ttc" id="aclassgg_1_1SceneNode_html_a5fd91acc7dfee4a78fa6735fbbbdb069"><div class="ttname"><a href="classgg_1_1SceneNode.html#a5fd91acc7dfee4a78fa6735fbbbdb069">gg::SceneNode::mBackground</a></div><div class="ttdeci">sf::RectangleShape mBackground</div><div class="ttdef"><b>Definition:</b> SceneNode.hpp:83</div></div>
<div class="ttc" id="aclassgg_1_1SceneNode_html_a6060165707afd72f5313548cb92ae81e"><div class="ttname"><a href="classgg_1_1SceneNode.html#a6060165707afd72f5313548cb92ae81e">gg::SceneNode::SetInsideSize</a></div><div class="ttdeci">void SetInsideSize(const sf::Vector2f &amp;)</div></div>
<div class="ttc" id="aclassgg_1_1SceneNode_html_a61b417a1ca6289c8b2114c9f5035b3a9"><div class="ttname"><a href="classgg_1_1SceneNode.html#a61b417a1ca6289c8b2114c9f5035b3a9">gg::SceneNode::ApplyDesign</a></div><div class="ttdeci">virtual void ApplyDesign()</div></div>
<div class="ttc" id="aclassgg_1_1SceneNode_html_a668a995dbb9bd8a6be5d433099ab6af1"><div class="ttname"><a href="classgg_1_1SceneNode.html#a668a995dbb9bd8a6be5d433099ab6af1">gg::SceneNode::mName</a></div><div class="ttdeci">std::string mName</div><div class="ttdef"><b>Definition:</b> SceneNode.hpp:78</div></div>
<div class="ttc" id="aclassgg_1_1SceneNode_html_a694c7abbe5a5d06bed9f7c4e5f5d2986"><div class="ttname"><a href="classgg_1_1SceneNode.html#a694c7abbe5a5d06bed9f7c4e5f5d2986">gg::SceneNode::UpdateStyle</a></div><div class="ttdeci">virtual void UpdateStyle()</div></div>
<div class="ttc" id="aclassgg_1_1SceneNode_html_a6c0129d2515fcd9ada82b4069c3956c4"><div class="ttname"><a href="classgg_1_1SceneNode.html#a6c0129d2515fcd9ada82b4069c3956c4">gg::SceneNode::mOutsidePosition</a></div><div class="ttdeci">sf::Vector2f mOutsidePosition</div><div class="ttdef"><b>Definition:</b> SceneNode.hpp:88</div></div>
<div class="ttc" id="aclassgg_1_1SceneNode_html_a77dbd39b4f780c37222bd987f416d6bd"><div class="ttname"><a href="classgg_1_1SceneNode.html#a77dbd39b4f780c37222bd987f416d6bd">gg::SceneNode::mInsideArea</a></div><div class="ttdeci">sf::RectangleShape mInsideArea</div><div class="ttdef"><b>Definition:</b> SceneNode.hpp:84</div></div>
<div class="ttc" id="aclassgg_1_1SceneNode_html_a815218ded6a13ff207bfa773027cd07a"><div class="ttname"><a href="classgg_1_1SceneNode.html#a815218ded6a13ff207bfa773027cd07a">gg::SceneNode::AppendChild</a></div><div class="ttdeci">void AppendChild(SceneNode *)</div></div>
<div class="ttc" id="aclassgg_1_1SceneNode_html_a83278efad563d0e384b3d18a88f1eee7"><div class="ttname"><a href="classgg_1_1SceneNode.html#a83278efad563d0e384b3d18a88f1eee7">gg::SceneNode::UpdateAlignment</a></div><div class="ttdeci">virtual void UpdateAlignment()</div></div>
<div class="ttc" id="aclassgg_1_1SceneNode_html_a85a355c9072099675bf4a8ca00dc0635"><div class="ttname"><a href="classgg_1_1SceneNode.html#a85a355c9072099675bf4a8ca00dc0635">gg::SceneNode::SceneNode</a></div><div class="ttdeci">SceneNode(const Attributes &amp;attributes, const bool root=false)</div></div>
<div class="ttc" id="aclassgg_1_1SceneNode_html_a88a3c48db58215800a8d966716b1e66d"><div class="ttname"><a href="classgg_1_1SceneNode.html#a88a3c48db58215800a8d966716b1e66d">gg::SceneNode::GetInsidePosition</a></div><div class="ttdeci">auto GetInsidePosition() const -&gt; const sf::Vector2f &amp;</div></div>
<div class="ttc" id="aclassgg_1_1SceneNode_html_a92215060ea01f924ac43bdc2e02d8495"><div class="ttname"><a href="classgg_1_1SceneNode.html#a92215060ea01f924ac43bdc2e02d8495">gg::SceneNode::GetName</a></div><div class="ttdeci">auto GetName() const -&gt; const std::string &amp;</div></div>
<div class="ttc" id="aclassgg_1_1SceneNode_html_a93387c53dd7f5bea4896718fe8f1d853"><div class="ttname"><a href="classgg_1_1SceneNode.html#a93387c53dd7f5bea4896718fe8f1d853">gg::SceneNode::mStyle</a></div><div class="ttdeci">XMLDocument * mStyle</div><div class="ttdef"><b>Definition:</b> SceneNode.hpp:94</div></div>
<div class="ttc" id="aclassgg_1_1SceneNode_html_aaef957115bc1c6ef4aea8b1782efe618"><div class="ttname"><a href="classgg_1_1SceneNode.html#aaef957115bc1c6ef4aea8b1782efe618">gg::SceneNode::mParent</a></div><div class="ttdeci">SceneNode * mParent</div><div class="ttdef"><b>Definition:</b> SceneNode.hpp:96</div></div>
<div class="ttc" id="aclassgg_1_1SceneNode_html_ab4e558e69099c74916257273cf7b9959"><div class="ttname"><a href="classgg_1_1SceneNode.html#ab4e558e69099c74916257273cf7b9959">gg::SceneNode::mChildren</a></div><div class="ttdeci">std::vector&lt; SceneNode * &gt; mChildren</div><div class="ttdef"><b>Definition:</b> SceneNode.hpp:97</div></div>
<div class="ttc" id="aclassgg_1_1SceneNode_html_ab7d26c1d9eca413929a7b46d1975ecca"><div class="ttname"><a href="classgg_1_1SceneNode.html#ab7d26c1d9eca413929a7b46d1975ecca">gg::SceneNode::SetInsidePosition</a></div><div class="ttdeci">void SetInsidePosition(const sf::Vector2f &amp;)</div></div>
<div class="ttc" id="aclassgg_1_1SceneNode_html_abb3579a1294b90d74ae0e9a0f5cc8de1"><div class="ttname"><a href="classgg_1_1SceneNode.html#abb3579a1294b90d74ae0e9a0f5cc8de1">gg::SceneNode::SetScene</a></div><div class="ttdeci">void SetScene(Scene *)</div></div>
<div class="ttc" id="aclassgg_1_1SceneNode_html_ac8186eaf3fb16c6945f4e858f1037f0e"><div class="ttname"><a href="classgg_1_1SceneNode.html#ac8186eaf3fb16c6945f4e858f1037f0e">gg::SceneNode::mInsidePosition</a></div><div class="ttdeci">sf::Vector2f mInsidePosition</div><div class="ttdef"><b>Definition:</b> SceneNode.hpp:87</div></div>
<div class="ttc" id="aclassgg_1_1SceneNode_html_ad20a4313079c8fc88db803db9742bb52"><div class="ttname"><a href="classgg_1_1SceneNode.html#ad20a4313079c8fc88db803db9742bb52">gg::SceneNode::SetOutsidePosition</a></div><div class="ttdeci">void SetOutsidePosition(const sf::Vector2f &amp;)</div></div>
<div class="ttc" id="aclassgg_1_1SceneNode_html_ad5e5e7e8ac4efd83145012867ce1544a"><div class="ttname"><a href="classgg_1_1SceneNode.html#ad5e5e7e8ac4efd83145012867ce1544a">gg::SceneNode::mId</a></div><div class="ttdeci">std::string mId</div><div class="ttdef"><b>Definition:</b> SceneNode.hpp:79</div></div>
<div class="ttc" id="aclassgg_1_1SceneNode_html_adbeb256248e14d3cca859cc769397752"><div class="ttname"><a href="classgg_1_1SceneNode.html#adbeb256248e14d3cca859cc769397752">gg::SceneNode::GetID</a></div><div class="ttdeci">auto GetID() const -&gt; const std::string &amp;</div></div>
<div class="ttc" id="aclassgg_1_1SceneNode_html_ade1c015b4ad1d134a6ac9b74ea67ac26"><div class="ttname"><a href="classgg_1_1SceneNode.html#ade1c015b4ad1d134a6ac9b74ea67ac26">gg::SceneNode::SetParent</a></div><div class="ttdeci">void SetParent(SceneNode *)</div></div>
<div class="ttc" id="aclassgg_1_1SceneNode_html_ae8b7c84938aad84a8d2c2d63918be70a"><div class="ttname"><a href="classgg_1_1SceneNode.html#ae8b7c84938aad84a8d2c2d63918be70a">gg::SceneNode::Update</a></div><div class="ttdeci">virtual void Update()</div></div>
<div class="ttc" id="aclassgg_1_1SceneNode_html_af8d52d7d0aae7eccfe1243a6edaee8a7"><div class="ttname"><a href="classgg_1_1SceneNode.html#af8d52d7d0aae7eccfe1243a6edaee8a7">gg::SceneNode::mText</a></div><div class="ttdeci">sf::Text mText</div><div class="ttdef"><b>Definition:</b> SceneNode.hpp:82</div></div>
<div class="ttc" id="aclassgg_1_1SceneNode_html_afe943f9c7fe571d70a1c82a007475e89"><div class="ttname"><a href="classgg_1_1SceneNode.html#afe943f9c7fe571d70a1c82a007475e89">gg::SceneNode::Render</a></div><div class="ttdeci">virtual void Render(sf::RenderTarget &amp;, sf::RenderStates) const</div></div>
<div class="ttc" id="aclassgg_1_1SceneNode_html_aff8682d270c2b28289bda70793f9b41f"><div class="ttname"><a href="classgg_1_1SceneNode.html#aff8682d270c2b28289bda70793f9b41f">gg::SceneNode::mOutsideArea</a></div><div class="ttdeci">sf::RectangleShape mOutsideArea</div><div class="ttdef"><b>Definition:</b> SceneNode.hpp:85</div></div>
<div class="ttc" id="aclassgg_1_1Scene_html"><div class="ttname"><a href="classgg_1_1Scene.html">gg::Scene</a></div><div class="ttdef"><b>Definition:</b> Scene.hpp:18</div></div>
<div class="ttc" id="aclassgg_1_1XMLDocument_html"><div class="ttname"><a href="classgg_1_1XMLDocument.html">gg::XMLDocument</a></div><div class="ttdef"><b>Definition:</b> XMLDocument.hpp:10</div></div>
<div class="ttc" id="anamespacegg_html"><div class="ttname"><a href="namespacegg.html">gg</a></div><div class="ttdef"><b>Definition:</b> Application.hpp:22</div></div>
<div class="ttc" id="anamespacestd_html"><div class="ttname"><a href="namespacestd.html">std</a></div><div class="ttdef"><b>Definition:</b> Event.hpp:84</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
